Package Details: rstudio-desktop 1.2.1335-1

Git Clone URL: https://aur.archlinux.org/rstudio-desktop.git (read-only)
Package Base: rstudio-desktop
Description: Open source and enterprise-ready professional software for the R community
Upstream URL: http://www.rstudio.com/
Licenses: AGPL
Conflicts: rstudio-desktop-bin, rstudio-desktop-git, rstudio-desktop-preview-bin
Submitter: None
Maintainer: flying-sheep
Last Packager: flying-sheep
Votes: 43
Popularity: 0.072589
First Submitted: 2011-03-04 15:02
Last Updated: 2019-04-10 11:05

Required by (0)

Sources (4)

Pinned Comments

Xentec commented on 2019-07-08 01:13

Got same error...

make: *** [Makefile:152: all] Error 2

With a bit of backtracking...

BUILD FAILED /tmp/makepkg/rstudio-desktop/src/rstudio-rstudio-f1ac345/src/gwt/build.xml:98: Error running javac compiler

So my javac binary decided to disappear even with jdk-openjdk installed, huh? Turns out I still had wrong Java version set as default and after executing

# archlinux-java set java-8-openjdk

ant was finally willing to build gwt and the Rstudio installation was complete.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

andrewcsq commented on 2017-09-28 18:53

wanted to confirm that the package is now working (tested on a laptop and desktop) thanks (:

flying-sheep commented on 2017-09-28 10:13

sure, i’ll apply the patch. sorry for taking so long!

andrewcsq commented on 2017-09-28 09:22

I'm experiencing the same problems as the folks below when trying to recompile the package, and I don't have enough experience editing PKGBUILDs and applying patches to mod it like izahn did.

Any chance of a merge of MaoCPU's patch?

flying-sheep commented on 2017-09-28 08:01

simply recompiling helps.

andrewcsq commented on 2017-09-27 12:13

Broken with the change to libboost 1.65

Is there an upcoming patch to deal with this?

izahn commented on 2017-09-25 19:55

MaoCPU's patch helped me. It didn't apply cleanly, but I fixed it up by hand and managed to build the package.

MaoCPU commented on 2017-09-22 12:40

I had some compile error for v1.0.153 (eg something about std::cerr in Trace.cpp). This and the sha256 checksum difference are fixed in https://gist.github.com/anonymous/f591d66e93dea639609414b5e906ed66

drumson commented on 2017-09-13 09:52

sha256 checksums seem to be incorrect for the rstudio-1.0.153.tar.gz - should read "099ceec1480c7605285782ba5ecbf96eb6191d6f9a90e988c151578eb8bde9df" in the PKGBUILD

netpumber commented on 2017-06-13 06:18

do you have the R installed from the packages or somewhere else ?
In which directory is installed ?
/usr/lib{64}/R OR /usr/local/lib/R ?

You might find where it is and then use the rsession-which-r={acctual dir} at /etc/rstudio/rserver.conf. This file doesn't exist and you should create it.

andrewcsq commented on 2017-06-12 23:26

I get the following error log when attempting to build this package:

:: rstudio-desktop build files are up-to-date -- skipping
:: Checking rstudio-desktop integrity...
==> Making package: rstudio-desktop 1.0.143-1 (Tue Jun 13 07:21:51 +08 2017)
==> Retrieving sources...
-> Found rstudio-1.0.143.tar.gz
-> Found gin-1.5.zip
-> Found gwt-2.7.0.zip
-> Found core-dictionaries.zip
-> Found rroutines-style.patch
-> Found socketproxy-openssl.patch
==> Validating source files with sha256sums...
rstudio-1.0.143.tar.gz ... Passed
gin-1.5.zip ... Passed
gwt-2.7.0.zip ... Passed
core-dictionaries.zip ... Passed
rroutines-style.patch ... Passed
socketproxy-openssl.patch ... Passed
:: Building rstudio-desktop package(s)...
==> Making package: rstudio-desktop 1.0.143-1 (Tue Jun 13 07:21:53 +08 2017)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Removing existing $pkgdir/ directory...
==> Starting build()...
patching file src/cpp/r/RRoutines.cpp
patching file src/cpp/core/http/SocketProxy.cpp
-- Boost version: 1.64.0
-- Found the following Boost libraries:
-- date_time
-- filesystem
-- iostreams
-- program_options
-- regex
-- signals
-- system
-- thread
-- chrono
-- atomic
/usr/lib64/R/bin/exec/R: error while loading shared libraries: libgfortran.so.3: cannot open shared object file: No such file or directory
/usr/lib64/R/bin/exec/R: error while loading shared libraries: libgfortran.so.3: cannot open shared object file: No such file or directory
/usr/lib64/R/bin/exec/R: error while loading shared libraries: libgfortran.so.3: cannot open shared object file: No such file or directory
/usr/lib64/R/bin/exec/R: error while loading shared libraries: libgfortran.so.3: cannot open shared object file: No such file or directory
-- Could not find libR shared library.
CMake Error at /usr/share/cmake-3.8/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
Could NOT find LibR (missing: LIBR_HOME LIBR_INCLUDE_DIRS LIBR_LIBRARIES
LIBR_DOC_DIR)
Call Stack (most recent call first):
/usr/share/cmake-3.8/Modules/FindPackageHandleStandardArgs.cmake:377 (_FPHSA_FAILURE_MESSAGE)
cmake/modules/FindLibR.cmake:166 (find_package_handle_standard_args)
src/cpp/CMakeLists.txt:228 (find_package)

boost and boost-lib version: 1.64.0-1
R version: 3.4.0-2